Package ru.bitel.oss.kernel.entity.common.bean

# Class EntityAttrPhone

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.EntityAttr
ru.bitel.oss.kernel.entity.common.bean.EntityAttrPhone

    public class EntityAttrPhone
    extends EntityAttr

Атрибут/параметр - телефоны. Чтобы получить список телефонов, используйте методы `getContactList()`, `getPhoneList()`, `getUnformattedPhoneList()`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `EntityAttrPhone.PhoneContact` | Контакт - телефон + комментарий.

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `EntityAttrPhone()` |
  `` | `EntityAttrPhone​(int entityId, int entitySpecAttrId)` |
  `` | `EntityAttrPhone​(int entityId, int entitySpecAttrId, java.lang.String phone, java.lang.String comment)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `EntityAttrPhone` | `addContact​(java.lang.String phone, java.lang.String comment)` | Добавление телефона (контакта).
  `java.util.List<EntityAttrPhone.PhoneContact>` | `getContactList()` | Получение списка контактов.
  `java.lang.String` | `getData()` |
  `java.util.List<java.lang.String>` | `getPhoneList()` | Получение списка телефонов (в формате).
  `java.util.List<java.lang.String>` | `getUnformattedPhoneList()` | Получение списка телефонов без форматирования.
  `static java.lang.String` | `phoneUnformatted​(java.lang.String phone)` | Превращает форматированный телефон в набор цифр
  `void` | `setContactList​(java.util.List<EntityAttrPhone.PhoneContact> phoneList)` | Установка списка контактов.
  `void` | `setData​(java.lang.String data)` | Для внутреннего использования.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntityAttr

  `getEntityId, getEntitySpecAttrId, getType, getTypeName, newInstance, setEntityId, setEntitySpecAttrId, setType, setTypeName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EntityAttrPhone

    protected EntityAttrPhone()

  - ### EntityAttrPhone

    public EntityAttrPhone​(int entityId, int entitySpecAttrId)
    Parameters:
      `entityId` - ID договора/объекта/сущности
      `entitySpecAttrId` - ID типа параметра/атрибута

  - ### EntityAttrPhone

    public EntityAttrPhone​(int entityId, int entitySpecAttrId, java.lang.String phone, java.lang.String comment)

- ## Method Details

  - ### getContactList

    public java.util.List<EntityAttrPhone.PhoneContact> getContactList()
    Получение списка контактов.
    Returns:

  - ### setContactList

    public void setContactList​(java.util.List<EntityAttrPhone.PhoneContact> phoneList)
    Установка списка контактов.
    Parameters:
      `phoneList` -

  - ### addContact

    public EntityAttrPhone addContact​(java.lang.String phone, java.lang.String comment)
    Добавление телефона (контакта).
    Parameters:
      `phone` - номер телефона.
      `comment` - комментарий.
    Returns:
      this

  - ### getData

    public java.lang.String getData()

  - ### setData

    public void setData​(java.lang.String data)
    Для внутреннего использования. Для добавления телефона используйте `#addPhone(String, String)` или `setContactList(List)`
    Parameters:
      `value` -

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getPhoneList

    public java.util.List<java.lang.String> getPhoneList()
    Получение списка телефонов (в формате).
    Returns:

  - ### getUnformattedPhoneList

    public java.util.List<java.lang.String> getUnformattedPhoneList()
    Получение списка телефонов без форматирования.
    Returns:

  - ### phoneUnformatted

    public static java.lang.String phoneUnformatted​(java.lang.String phone)
    Превращает форматированный телефон в набор цифр
    Parameters:
      `phone` - +7 (347) 2 924-823
    Returns:
      73472924823